import { ICalculationStore } from 'core/types/Calculation/Store';
import customValidation from './custom';
import validateElements from './elements';
import validateTables from './tables';

export default function (this: ICalculationStore) {
  customValidation(this);
  validateElements.call(this);
  validateTables.call(this);
}
